# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KBookmarkNotifier Class Reference

DCOP interface for a bookmark notifier (an object which emits signals upon changes to the bookmarks). More...

`#include <kbookmarknotifier.h>`

Inheritance diagram for KBookmarkNotifier:

[legend]
Collaboration diagram for KBookmarkNotifier:

[legend]
List of all members.

## Public Member Functions

| KBookmarkNotifier (QCString objId="KBookmarkNotifier")
void | createdNewFolder (QString filename, QString text, QString address)

## Public Attributes

k_dcop_signals | __pad0__: void addedBookmark( QString filename
k_dcop_signals QString | url
k_dcop_signals QString QString | text
k_dcop_signals QString QString QString | address
k_dcop_signals QString QString QString QString | icon

## Detailed Description

DCOP interface for a bookmark notifier (an object which emits signals upon changes to the bookmarks).

Definition at line 29 of file kbookmarknotifier.h.

The documentation for this class was generated from the following file:

- kbookmarknotifier.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:36 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001